 
from algopy import zeros, sin

class Kronecker(object):
    
    def __init__(self):
        
        self.type_of_DAE='standard'
        self.example_name='Kronecker_standard'
        
    def f(self,y,x,t):
        """ DAE in linear_example2 """
        n=5
        f = zeros(n, dtype=x)
        f[0]=y[0]+x[0]
        f[1]=y[2]+x[1]
        f[2]=y[3]+x[2]
        f[3]=y[4]+x[3]
        f[4]= x[4]-sin(t)

        return f
    
if __name__=="__main__":    
    import os
    print(os.getcwd())
    from numpy import array,pi
    from InitDAE.DAEinitialization.consistentValues import consistentValuesIndex
    ex = Kronecker()
    
    n=5
    K = 10
    
    t0=pi/4
    alpha=array([1.,1.,1.,1.,1.])
    
    print ('Solution by minimization')
 
    print ('alpha = ',alpha)
    ftola=1e-14
    x0=zeros(K*n)
    x0[:n]=alpha
    solution,index,cond,robust=consistentValuesIndex(ex,K,alpha,x0,t0,ftol=ftola,info_output='22',disp=True)
    