'''
Created on 17.02.2014

@author: lamour
'''
#from numpy import array
from algopy import zeros, exp, sin

class Example_ind2_sing(object):
    
    def __init__(self):
        self.eta=1.
        self.path="../../workspace_DAE-Project/InitDAE/AD_examples/ind2_sing_eta_1.sol"
        #self.path="ind2_sing_eta_1.sol"
        self.index=2
        self.example_name="Example_ind2_sing"
        self.type_of_DAE='proper'
  
    def f(self,y,x,t):
        """ DAE index 2 """
        f = zeros(2, dtype=x)
        
        eta=self.eta
        f[0]=y[0]+x[1]
        f[1]=x[0]+ eta*t*x[1]-exp(-t) 
        return f
    
    def d(self,x,t):
        """ DAE index 2 """ 
    
        eta=self.eta
        d = zeros(1, dtype=x)
        d[0]=x[0]+eta*t*x[1]
        return d